Bug 237596 - galleon fails to run
galleon fails to run
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: java-1.5.0-gcj (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Fitzsimmons
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-23 18:02 EDT by Bill Nottingham
Modified: 2014-03-16 23:06 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-02 17:36:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2007-04-23 18:02:14 EDT
Description of problem:

I tried to run Galleon (http://galleon.tv/) with GCJ. I got the following error:

18:01:18,748 ERROR [main] HibernateUtil - Initial SessionFactory creation failed
java.lang.NoClassDefFoundError: net.sf.cglib.core.DebuggingClassWriter$1
   at java.lang.Class.initializeClass(libgcj.so.8rh)
   at
net.sf.cglib.core.DebuggingClassWriter.toByteArray(DebuggingClassWriter.java:66)
   at
net.sf.cglib.core.DefaultGeneratorStrategy.generate(DefaultGeneratorStrategy.java:26)
   at
net.sf.cglib.core.AbstractClassGenerator.create(AbstractClassGenerator.java:215)
   at net.sf.cglib.core.KeyFactory$Generator.create(KeyFactory.java:145)
   at net.sf.cglib.core.KeyFactory.create(KeyFactory.java:117)
   at net.sf.cglib.core.KeyFactory.create(KeyFactory.java:108)
   at net.sf.cglib.core.KeyFactory.create(KeyFactory.java:104)
   at net.sf.hibernate.impl.SessionFactoryImpl.<clinit>(SessionFactoryImpl.java:237)
   at java.lang.Class.initializeClass(libgcj.so.8rh)
   at net.sf.hibernate.cfg.Configuration.buildSessionFactory(Configuration.java:796)
   at
org.lnicholls.galleon.database.HibernateUtil.initialize(HibernateUtil.java:147)
   at org.lnicholls.galleon.server.Server.start(Server.java:306)
   at org.lnicholls.galleon.server.Server.getServer(Server.java:864)
   at org.lnicholls.galleon.server.Server.main(Server.java:1496)

Version-Release number of selected component (if applicable):

libgcj-4.1.2-8
java-1.5.0-gcj-1.5.0.0-14.fc7

How reproducible:

Every time.

Steps to Reproduce:
1. download galleon
2. start it
Comment 1 Thomas Fitzsimmons 2008-04-02 17:36:22 EDT
Use OpenJDK instead.  I tested it on java-1.6.0-openjdk-1.6.0.0-0.7.b08.fc9 from
i386 Rawhide and both the server and GUI work fine.

Note You need to log in before you can comment on or make changes to this bug.